org.apache.mina.core.filterchain

## Interface IoFilter.NextFilter

- Enclosing interface:
    IoFilter

      public static interface IoFilter.NextFilter

  Represents the next `IoFilter` in `IoFilterChain`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `exceptionCaught(IoSession session, Throwable cause)` Forwards `exceptionCaught` event to next filter.
    `void` | `filterClose(IoSession session)` Forwards `filterClose` event to next filter.
    `void` | `filterWrite(IoSession session, WriteRequest writeRequest)` Forwards `filterWrite` event to next filter.
    `void` | `messageReceived(IoSession session, Object message)` Forwards `messageReceived` event to next filter.
    `void` | `messageSent(IoSession session, WriteRequest writeRequest)` Forwards `messageSent` event to next filter.
    `void` | `sessionClosed(IoSession session)` Forwards `sessionClosed` event to next filter.
    `void` | `sessionCreated(IoSession session)` Forwards `sessionCreated` event to next filter.
    `void` | `sessionIdle(IoSession session, IdleStatus status)` Forwards `sessionIdle` event to next filter.
    `void` | `sessionOpened(IoSession session)` Forwards `sessionOpened` event to next filter.

- - ### Method Detail

    - #### sessionCreated

          void sessionCreated(IoSession session)

      Forwards `sessionCreated` event to next filter.

    - #### sessionOpened

          void sessionOpened(IoSession session)

      Forwards `sessionOpened` event to next filter.

    - #### sessionClosed

          void sessionClosed(IoSession session)

      Forwards `sessionClosed` event to next filter.

    - #### sessionIdle

          void sessionIdle(IoSession session,
                         IdleStatus status)

      Forwards `sessionIdle` event to next filter.

    - #### exceptionCaught

          void exceptionCaught(IoSession session,
                             Throwable cause)

      Forwards `exceptionCaught` event to next filter.

    - #### messageReceived

          void messageReceived(IoSession session,
                             Object message)

      Forwards `messageReceived` event to next filter.

    - #### messageSent

          void messageSent(IoSession session,
                         WriteRequest writeRequest)

      Forwards `messageSent` event to next filter.

    - #### filterWrite

          void filterWrite(IoSession session,
                         WriteRequest writeRequest)

      Forwards `filterWrite` event to next filter.

    - #### filterClose

          void filterClose(IoSession session)

      Forwards `filterClose` event to next filter.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.